QGIS Application - Bug report #6625
Classes in Natural Braeks (Jenks) Symbology
2012-11-05 08:11 AM - Diego Mo

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15809
Description

Symbology of a vector layer (shapefile in the test case)--> Graduated Renderer --> Natural Breaks (Jenks) mode.
It seems that Quantum GIS (version 1.8 on WIN XP, using new simbology) propose different intervals (using the same column and
number of classes) each time you classify features.

History

#1 - 2013-02-22 08:22 AM - Regis Haubourg

Yes, confirmed here, and it looks like a n / n-1 array bounds error.
Needs to be confirmed again in 1.9 when classification regression will be solved (#7191)

#2 - 2013-03-04 07:08 PM - Nyall Dawson

| can't replicate this in current master -- do you have a test dataset which shows the issue?

#3 - 2013-03-05 03:59 AM - Diego Mo

As test case you can use toponomastica_10000_geo.shp (field ROTAZIONE) that you can download from

http://www.comune.torino.it/geoportale/dati/carta_sintesi_shp.zip

The pubblication page is http://www.comune.torino.it/geoportale/ser_professionali_2.htm

The problem seems to happen both in Qgis 1.8 and Master(release 2a4d79d)

#4 - 2013-03-05 01:46 PM - Nyall Dawson
Actually after looking into it this is the intended behaviour -- in order to speed up the calculation the natural breaks classifier takes a random sample from a

layer which has a large number of rows (> 1000 rows). When a layer has more than 1000 rows, a random sample of either 1000 values or 10% of the
dataset (whichever is larger) is used to calculate the breaks.

#5 - 2013-03-11 01:27 PM - Nyall Dawson
- Status changed from Open to Closed
